<?php
    include_once("../scripts/connect.php");
    include("../scripts/session.php");//Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
        header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
        $dato=explode("|",$_SESSION['usuario']);
        $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session
    $conexion=conecta_default();
    extract($_POST);
?>

<!DOCTYPE html>
<html>
<head>
    <title>Nueva Venta</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script language='JavaScript' src='popcalendar.js'></script><script language='JavaScript' src='../scripts/Val_2.js'></script>
</head>
<body>
    <script language='JavaScript1.2' type='text/javascript'>
        var request;
        var $inputs;
        $(document).ready(function(){
            $('#Undo1').on('click', function() {
                Tcantidad =0;
                Tprecio = 0;
                Tpuntos = 0;
                document.getElementById("txtVenta").innerHTML="";
                $("#ajaxLoader").hide();
                if($inputs){
                    $inputs.prop("disabled", false);
                }
                $('#Undo1').prop("disabled", true);
            });

            $("#f1").submit(function(event){
                if (request) {
                    request.abort();
                }

                var $form = $(this);
                $inputs = $form.find("input, select, button, textarea").not("#Undo1");
                var serializedData = $form.serialize();

                $inputs.prop("disabled", true);
                $('#Undo1').prop("disabled", true);

                document.getElementById("txtVenta").innerHTML="";
                $("#ajaxLoader").show();

                request = $.ajax({
                    url: "../scripts/generar_notadeventa.php",
                    type: "post",
                    data: serializedData
                });

                request.done(function (response, textStatus, jqXHR){
                    document.getElementById("txtVenta").innerHTML=response;
                    $("#ajaxLoader").hide();
                    try{
                        $(".gen_script").each(function() {window.eval($(this).html());});
                    }
                    catch(err) {
                        alert("Error al evaluar JavaScript: "+err.message);
                    }

                    $('html, body').animate({
                        scrollTop: $("#txtVenta").offset().top
                    }, 2000);
                });

                request.fail(function (jqXHR, textStatus, errorThrown){
                    document.getElementById("txtVenta").innerHTML="";
                    $("#ajaxLoader").hide();
                    alert("Error de Peticion Ajax: "+textStatus+"-"+ errorThrown);
                    $inputs.prop("disabled", false);
                    $('#Undo1').prop("disabled", true);
                });

                event.preventDefault();
            });
        });
    </script>
    <center><br><br><font size="6" color="#5C3C12">Generar Pedido</font><br>
    <form id='f1'>
        <table border='0'  align='center' style='background: url(usuario_comun/logotransp2.gif); text-alling:center'>
            <tr height='40'><td align='center'>
                    <label style='color:#5C3C12'>RFC Distribuidor:</label>&nbsp;
                    <input type='text' size='14' maxlength='10' name='rfcpr' value='' style='font-family: Times New Roman;text-transform:lowercase;'>
            </td></tr>
            <tr height='30'><td>
                    <label style='color:#5C3C12'>Centro de entrega:</label>
                    <select name='cdent'>

                       <?php
	                        $busqusr2 = "SELECT tipo_centro from usuarios_ci where idusuarios_ci='$dato[0]'";

   $cons2 = mysql_query($busqusr2) or die ('Err0: '.mysql_error());

   $usr2 = mysql_fetch_object($cons2);

  $tipoc = $usr2->tipo_centro;
	                       
	                       
	                       
                        $centro_estado="SELECT centros_idcd FROM  usuarios_ci where idusuarios_ci='$dato[0]'";
                        $centro_ubicacion=mysql_fetch_row(mysql_query($centro_estado)); 
                       if($centro_ubicacion[0]==1)// crear opcion de configuracion para extraer el centro matriz y poder quitar el 1 estatico
                        {
                   		$centros_entrega="SELECT * FROM usuarios_ci where tipo_centro='1' and centro_activo='1' and idusuarios_ci <> $dato[0] ";
                        $entregas=mysql_query($centros_entrega) or die ("Error en buscar centros de entrega");
                         echo "<option value='$dato[0]'> ".$dato[0]." - "."Mi centro"."</option>";
                        while ($centros_list=mysql_fetch_array($entregas)) {
                            echo "<option value='$centros_list[0]'> ".$centros_list[0]." - " .$centros_list[1]."</option>";

                          }
                        } 
                       else{
                            echo "<option value='$dato[0]'> ".$dato[0]." - " .$dato[2]."</option>";
                        }      

                       // if($dato[0]==13 || $dato[0]==10) :  //TODO: quitar todo el hard code en este bloque
                                 // $sq = "SELECT * from usuarios_ci where idusuarios_ci not in (13, 10, 1, 2, 3, 4, 5, 6, 7)"; //TODO: hard code
                                 // $qs = mysql_query($sq) or die ("Error con consulta ".mysql_error());
                                 // echo "<option value='$dato[0]'>".$dato[0]." - ".$dato[2]."</option>";
                                //  while ($ra = mysql_fetch_array($qs))
                                  //    echo "<option value='".$ra[0]."'>".$ra[0]." - ".$ra[1]."</option>";
                  ?>
                    </select>
            </td></tr>
            <tr><td>
                    <input type='radio' name='tiponota' value='10' checked>Nota de Venta</input></td>
                    
                     
                    
                    <td>
	                    
	                     <?php
		                     if($tipoc!=3){
                   echo" <input type='radio' name='tiponota' value='11'>Nota de Salida</input>";
                    }?>
            </td></tr>
            <tr><td align='center' valign='middle'>
                    <input type='submit' value='Buscar' />
                    <span style="padding-left:20px">
                    <input type='button' value='Deshacer' id='Undo1' disabled/></span>
            </td></tr>
        </table>
    </form>
    </center>
    <br><br>
    <center><img src='../files/ajax-loader.gif' id='ajaxLoader' style="display:none;"></center>
    <div id='txtVenta'></div>
</body>
</html>